Bug 218448 - python fails to buils with new db4
python fails to buils with new db4
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mihai Ibanescu
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-05 08:18 EST by Anton Guda
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-06 11:07:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anton Guda 2006-12-05 08:18:33 EST
Description of problem:
python src.rpm fails to rebuild with new (4.5.20) db4
while compiling db module.


Version-Release number of selected component (if applicable):

python-2.4.4-1
db4-4.5.20-4

How reproducible:
always


Steps to Reproduce:
1. install new db4 + devel
2. try to rebuild python

Actual results:
error detected at build stage:
gcc -pthread -fPIC -fno-strict-aliasing -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE
=2 -fstack-protector -m32 -march=i586 -mtune=generic -fasynchronous-unwind-table
s -D_GNU_SOURCE -fPIC -I/usr/kerberos/include   -I. -I./Include  -I/usr/include/
db4 -c ./Modules/_bsddb.c -o Modules/_bsddb.o
./Modules/_bsddb.c: In function 'DBEnv_set_lk_max':
./Modules/_bsddb.c:3844: error: 'DB_ENV' has no member named 'set_lk_max'
./Modules/_bsddb.c: In function 'init_bsddb':
./Modules/_bsddb.c:5042: error: 'DB_CACHED_COUNTS' undeclared (first use in 
this
 function)
./Modules/_bsddb.c:5042: error: (Each undeclared identifier is reported only 
onc
e
./Modules/_bsddb.c:5042: error: for each function it appears in.)
./Modules/_bsddb.c:5077: error: 'DB_RECORDCOUNT' undeclared (first use in this 
f
unction)
make: *** [Modules/_bsddb.o] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.8643 (%build)


Expected results:

clean build.


Additional info:
Comment 1 Jeremy Katz 2006-12-06 11:07:46 EST
Fixed in CVS and will be in the python 2.5 build that I'm in the process of
staging.  The patch for 2.5 should work just as well with older python too, fwiw.

Note You need to log in before you can comment on or make changes to this bug.